using Digst.OioIdws.Common.Logging;
using System;
using System.Diagnostics;

namespace SEI2.TestConsole
{
    public class Logger : ILogger
    {
        public void WriteCore(TraceEventType eventType, int eventId, object state, Exception exception, Func<object, Exception, string> formatter)
        {
            if (eventType == TraceEventType.Verbose)
                return;

            Console.WriteLine($"(Digst-Logger) {eventType}: {state} - {exception?.Message}.");
        }
    }
}
